aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/e_repository_TEST_5_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2012-05-06 22:10:56 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2012-05-12 11:33:35 +0100
commita7865e3c6ae5e21e474a47ffa87be6e7ef3e7667 (patch)
tree6eed5a2554863ca688949982cf08f378675529c0 /paludis/repositories/e/e_repository_TEST_5_setup.sh
parent57208caa313878d8128d4c723a675d2c7553757f (diff)
downloadpaludis-a7865e3c6ae5e21e474a47ffa87be6e7ef3e7667.tar.gz
paludis-a7865e3c6ae5e21e474a47ffa87be6e7ef3e7667.tar.xz
EAPI 5 has ?? ( ) in REQUIRED_USE
Diffstat (limited to 'paludis/repositories/e/e_repository_TEST_5_setup.sh')
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_5_setup.sh79
1 files changed, 79 insertions, 0 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_5_setup.sh b/paludis/repositories/e/e_repository_TEST_5_setup.sh
new file mode 100755
index 000000000..021540e6d
--- /dev/null
+++ b/paludis/repositories/e/e_repository_TEST_5_setup.sh
@@ -0,0 +1,79 @@
+#!/usr/bin/env bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir e_repository_TEST_5_dir || exit 1
+cd e_repository_TEST_5_dir || exit 1
+
+mkdir -p root/etc
+
+mkdir -p vdb
+touch vdb/THISISTHEVDB
+
+mkdir -p build
+ln -s build symlinked_build
+
+mkdir -p distdir
+
+mkdir -p repo/{profiles/profile,metadata,eclass} || exit 1
+cd repo || exit 1
+echo "test-repo" >> profiles/repo_name || exit 1
+echo "cat" >> profiles/categories || exit 1
+cat <<END > profiles/profile/make.defaults
+ARCH="cheese"
+USERLAND="GNU"
+KERNEL="linux"
+LIBC="glibc"
+CHOST="i286-badger-linux-gnu"
+LINGUAS="enabled_en enabled_en_GB enabled_en_GB@UTF-8"
+USE_EXPAND="LINGUAS USERLAND"
+USE_EXPAND_UNPREFIXED="ARCH"
+USE_EXPAND_IMPLICIT="USERLAND ARCH"
+USE_EXPAND_VALUES_USERLAND="GNU"
+USE_EXPAND_VALUES_ARCH="cheese otherarch"
+IUSE_IMPLICIT="build"
+END
+
+mkdir -p "cat/required-use-at-most-one-none" || exit 1
+cat << 'END' > cat/required-use-at-most-one-none/required-use-at-most-one-none-5.ebuild || exit 1
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="test"
+EAPI="5"
+IUSE="disabled1 disabled2 disabled3 enabled1 enabled2 enabled3"
+REQUIRED_USE="?? ( disabled1 disabled2 disabled3 )"
+S="${WORKDIR}"
+END
+
+mkdir -p "cat/required-use-at-most-one-one" || exit 1
+cat << 'END' > cat/required-use-at-most-one-one/required-use-at-most-one-one-5.ebuild || exit 1
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="test"
+EAPI="5"
+IUSE="disabled1 disabled2 disabled3 enabled1 enabled2 enabled3"
+REQUIRED_USE="?? ( disabled1 enabled2 disabled3 )"
+S="${WORKDIR}"
+END
+
+mkdir -p "cat/required-use-at-most-one-two" || exit 1
+cat << 'END' > cat/required-use-at-most-one-two/required-use-at-most-one-two-5.ebuild || exit 1
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="test"
+EAPI="5"
+IUSE="disabled1 disabled2 disabled3 enabled1 enabled2 enabled3"
+REQUIRED_USE="?? ( disabled1 enabled2 enabled3 )"
+S="${WORKDIR}"
+END
+
+cd ..
+cd ..